<?xml version="1.0" encoding="UTF-8"?>
<!-- Generated with glade 3.38.2 -->
<interface>
  <requires lib="gtk+" version="3.24"/>
  <object class="GtkImage" id="apply-icon">
    <property name="visible">True</property>
    <property name="can-focus">False</property>
    <property name="icon-name">dialog-ok</property>
  </object>
  <object class="GtkImage" id="cancel-icon">
    <property name="visible">True</property>
    <property name="can-focus">False</property>
    <property name="icon-name">dialog-close</property>
  </object>
  <object class="GtkAdjustment" id="dpi_adj">
    <property name="lower">10</property>
    <property name="upper">10000</property>
    <property name="value">125</property>
    <property name="step-increment">5</property>
    <property name="page-increment">10</property>
  </object>
  <object class="GtkDialog" id="new_scan">
    <property name="can-focus">False</property>
    <property name="title" translatable="yes">New QR Scan</property>
    <property name="modal">True</property>
    <property name="destroy-with-parent">True</property>
    <property name="type-hint">dialog</property>
    <child internal-child="vbox">
      <object class="GtkBox">
        <property name="can-focus">False</property>
        <property name="orientation">vertical</property>
        <property name="spacing">2</property>
        <child internal-child="action_area">
          <object class="GtkButtonBox">
            <property name="can-focus">False</property>
            <property name="layout-style">end</property>
            <child>
              <object class="GtkButton" id="new_scan_cancel">
                <property name="label" translatable="yes">Cancel</property>
                <property name="visible">True</property>
                <property name="can-focus">True</property>
                <property name="receives-default">True</property>
                <property name="image">cancel-icon</property>
                <style>
                  <class name="destructive-action"/>
                </style>
              </object>
              <packing>
                <property name="expand">True</property>
                <property name="fill">True</property>
                <property name="position">0</property>
              </packing>
            </child>
            <child>
              <object class="GtkButton" id="new_scan_apply">
                <property name="label" translatable="yes">Apply</property>
                <property name="visible">True</property>
                <property name="can-focus">True</property>
                <property name="receives-default">True</property>
                <property name="image">apply-icon</property>
                <style>
                  <class name="suggested-action"/>
                </style>
              </object>
              <packing>
                <property name="expand">True</property>
                <property name="fill">True</property>
                <property name="position">1</property>
              </packing>
            </child>
          </object>
          <packing>
            <property name="expand">False</property>
            <property name="fill">False</property>
            <property name="position">0</property>
          </packing>
        </child>
        <child>
          <object class="GtkBox" id="start">
            <property name="visible">True</property>
            <property name="can-focus">False</property>
            <property name="valign">start</property>
            <property name="orientation">vertical</property>
            <child>
              <!-- n-columns=2 n-rows=4 -->
              <object class="GtkGrid" id="scan_settings">
                <property name="visible">True</property>
                <property name="can-focus">False</property>
                <property name="halign">center</property>
                <property name="valign">center</property>
                <property name="margin-start">10</property>
                <property name="margin-end">10</property>
                <property name="margin-top">10</property>
                <property name="margin-bottom">10</property>
                <property name="row-spacing">15</property>
                <property name="column-spacing">10</property>
                <property name="row-homogeneous">True</property>
                <child>
                  <object class="GtkLabel">
                    <property name="visible">True</property>
                    <property name="can-focus">False</property>
                    <property name="halign">start</property>
                    <property name="label" translatable="yes">Scanned Exams:</property>
                  </object>
                  <packing>
                    <property name="left-attach">0</property>
                    <property name="top-attach">0</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkLabel">
                    <property name="visible">True</property>
                    <property name="can-focus">False</property>
                    <property name="halign">start</property>
                    <property name="label" translatable="yes">Scan Resolution:</property>
                  </object>
                  <packing>
                    <property name="left-attach">0</property>
                    <property name="top-attach">1</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkButton" id="file_select_button">
                    <property name="label" translatable="yes">Select File(s)</property>
                    <property name="visible">True</property>
                    <property name="can-focus">True</property>
                    <property name="receives-default">True</property>
                  </object>
                  <packing>
                    <property name="left-attach">1</property>
                    <property name="top-attach">0</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkSpinButton" id="dpi_entry">
                    <property name="visible">True</property>
                    <property name="can-focus">True</property>
                    <property name="tooltip-text" translatable="yes">Higher resolutions scan for barcodes more reliable, but take longer in computing </property>
                    <property name="input-purpose">digits</property>
                    <property name="adjustment">dpi_adj</property>
                    <property name="climb-rate">2</property>
                    <property name="value">125</property>
                  </object>
                  <packing>
                    <property name="left-attach">1</property>
                    <property name="top-attach">1</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkCheckButton" id="rescan_toggle">
                    <property name="label" translatable="yes">Adaptive rescan</property>
                    <property name="visible">True</property>
                    <property name="can-focus">True</property>
                    <property name="receives-default">False</property>
                    <property name="tooltip-text" translatable="yes">Rescan a page with 50% increased resolution if a barcode was not found in the first round.</property>
                    <property name="active">True</property>
                    <property name="draw-indicator">True</property>
                  </object>
                  <packing>
                    <property name="left-attach">0</property>
                    <property name="top-attach">3</property>
                    <property name="width">2</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkLabel">
                    <property name="visible">True</property>
                    <property name="can-focus">False</property>
                    <property name="halign">start</property>
                    <property name="label" translatable="yes">Barcode Location:</property>
                  </object>
                  <packing>
                    <property name="left-attach">0</property>
                    <property name="top-attach">2</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkComboBoxText" id="barcode_location">
                    <property name="visible">True</property>
                    <property name="can-focus">False</property>
                    <property name="tooltip-text" translatable="yes">Location of the barcode on the exam. Used to rotate the exam pages correctly. </property>
                    <property name="active">0</property>
                    <items>
                      <item id="BOTTOM" translatable="yes">Bottom</item>
                      <item id="TOP" translatable="yes">Top</item>
                    </items>
                  </object>
                  <packing>
                    <property name="left-attach">1</property>
                    <property name="top-attach">2</property>
                  </packing>
                </child>
              </object>
              <packing>
                <property name="expand">True</property>
                <property name="fill">True</property>
                <property name="padding">10</property>
                <property name="position">0</property>
              </packing>
            </child>
            <child>
              <object class="GtkRevealer" id="proc_reveal">
                <property name="visible">True</property>
                <property name="can-focus">False</property>
                <property name="transition-duration">500</property>
                <property name="reveal-child">True</property>
                <child>
                  <object class="GtkBox" id="prog_box">
                    <property name="visible">True</property>
                    <property name="can-focus">False</property>
                    <property name="orientation">vertical</property>
                    <child>
                      <object class="GtkSeparator">
                        <property name="visible">True</property>
                        <property name="can-focus">False</property>
                      </object>
                      <packing>
                        <property name="expand">False</property>
                        <property name="fill">True</property>
                        <property name="position">0</property>
                      </packing>
                    </child>
                    <child>
                      <object class="GtkStack" id="proc_stack">
                        <property name="visible">True</property>
                        <property name="can-focus">False</property>
                        <property name="transition-type">crossfade</property>
                        <child>
                          <object class="GtkBox" id="processing">
                            <property name="visible">True</property>
                            <property name="can-focus">False</property>
                            <property name="halign">center</property>
                            <property name="valign">center</property>
                            <property name="margin-start">10</property>
                            <property name="margin-end">10</property>
                            <property name="margin-top">10</property>
                            <property name="margin-bottom">10</property>
                            <property name="orientation">vertical</property>
                            <property name="spacing">20</property>
                            <child>
                              <object class="GtkLabel">
                                <property name="visible">True</property>
                                <property name="can-focus">False</property>
                                <property name="label" translatable="yes">Scanning QR Codes...</property>
                              </object>
                              <packing>
                                <property name="expand">False</property>
                                <property name="fill">True</property>
                                <property name="position">0</property>
                              </packing>
                            </child>
                            <child>
                              <object class="GtkProgressBar" id="progress">
                                <property name="visible">True</property>
                                <property name="can-focus">False</property>
                                <property name="text" translatable="yes">Pages Scanned</property>
                              </object>
                              <packing>
                                <property name="expand">False</property>
                                <property name="fill">True</property>
                                <property name="position">1</property>
                              </packing>
                            </child>
                            <child>
                              <object class="GtkLabel" id="failures">
                                <property name="visible">True</property>
                                <property name="can-focus">False</property>
                                <property name="label" translatable="yes">Not recognized: 0</property>
                              </object>
                              <packing>
                                <property name="expand">False</property>
                                <property name="fill">True</property>
                                <property name="position">2</property>
                              </packing>
                            </child>
                          </object>
                          <packing>
                            <property name="name">scanning</property>
                            <property name="title" translatable="yes">scanning</property>
                          </packing>
                        </child>
                        <child>
                          <object class="GtkBox">
                            <property name="visible">True</property>
                            <property name="can-focus">False</property>
                            <property name="halign">center</property>
                            <property name="valign">center</property>
                            <property name="orientation">vertical</property>
                            <child>
                              <object class="GtkSpinner">
                                <property name="width-request">50</property>
                                <property name="height-request">50</property>
                                <property name="visible">True</property>
                                <property name="can-focus">False</property>
                                <property name="active">True</property>
                              </object>
                              <packing>
                                <property name="expand">False</property>
                                <property name="fill">True</property>
                                <property name="position">0</property>
                              </packing>
                            </child>
                            <child>
                              <object class="GtkLabel">
                                <property name="visible">True</property>
                                <property name="can-focus">False</property>
                                <property name="label" translatable="yes">Cancelling...</property>
                              </object>
                              <packing>
                                <property name="expand">False</property>
                                <property name="fill">True</property>
                                <property name="position">1</property>
                              </packing>
                            </child>
                          </object>
                          <packing>
                            <property name="name">canceling</property>
                            <property name="title" translatable="yes">canceling</property>
                            <property name="position">1</property>
                          </packing>
                        </child>
                      </object>
                      <packing>
                        <property name="expand">False</property>
                        <property name="fill">True</property>
                        <property name="position">1</property>
                      </packing>
                    </child>
                  </object>
                </child>
              </object>
              <packing>
                <property name="expand">False</property>
                <property name="fill">True</property>
                <property name="position">1</property>
              </packing>
            </child>
          </object>
          <packing>
            <property name="expand">False</property>
            <property name="fill">True</property>
            <property name="position">1</property>
          </packing>
        </child>
      </object>
    </child>
  </object>
</interface>
